package com.gh.gamecenter.common.view;

import android.content.Context;
import android.util.AttributeSet;

import androidx.appcompat.widget.AppCompatTextView;

public class TrimmedPaddingTextView extends AppCompatTextView {

    public TrimmedPaddingTextView(Context context) {
        super(context);
    }

    public TrimmedPaddingTextView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);

        setIncludeFontPadding(getLineCount() > 1);
    }

}
